> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/compound/compclaim.md).

# CompClaim

### Description

Claims Comp reward for the specified user.

> **Notes**
>
> Claims comp for \_from address and for specified cTokens.

### Action ID

`0xd7a3d3f6`

### SDK Action

```ts
const compoundClaimAction = new dfs.actions.compound.CompoundClaimAction(
    cSupplyAddresses,
    cBorrowAddresses,
    from,
    to
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param cTokensSupply Array of cTokens which the user supplied and has earned rewards
    /// @param cTokensBorrow Array of cTokens which the user borrowed and has earned rewards
    /// @param from The address that is claiming the rewards
    /// @param to The address that will receive the rewards
    struct Params {
        address[] cTokensSupply;
        address[] cTokensBorrow;
        address from;
        address to;
    }
```

### Return Value

```solidity
return bytes32(compClaimed);
```

### Events and Logs

```solidity
emit ActionEvent("CompClaim", logData);
logger.logActionDirectEvent("CompClaim", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/compound/compclaim.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
